Bug 1989738 - Framework laptop: touchpad right-click doesn’t work
Summary: Framework laptop: touchpad right-click doesn’t work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-03 20:15 UTC by Jun Aruga
Modified: 2021-08-09 18:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-08 23:17:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Jun Aruga 2021-08-03 20:15:24 UTC
Description of problem:

On a laptop called Framework Laptop [1], the following issue was reported. Note I know some people at Fedora working with Framework. But I am just a user who pre-ordered the Framework Laptop, and am staying at the community forum.

https://community.frame.work/t/3512/12
> I’m facing a similar issue on Fedora 34. However, I’m running the KDE Plasma environment, so Gnome Tweaks won’t do much for me.
>
> In my case, right click doesn’t work at all (tried two-finger clicking and clicking the right half and bottom right quadrant of my touchpad with no success).

Here is the upstream commit on the upstream main branch to fix this issue. The commit is not released yet.

https://gitlab.freedesktop.org/libinput/libinput/-/commit/eb2ed1863e88048bda7b15b839a51c19561332de

As a temporary workaround, we confirmed creating the temporary local device quirks file: /etc/libinput/local-overrides.quirks with the upstream's content fixes this issue in the community forum [2].

However it would be great if the commit will be applied as a patch to f34 (and f35) for user's convenience.

[1] https://frame.work/
[2] https://community.frame.work/t/3512/17

Version-Release number of selected component (if applicable):
libinput-1.18.0-2.fc34

How reproducible:


Steps to Reproduce:
1. Right-click the touchpad on Fedora 34 on Framework Laptop.

Actual results:
It doesn't work.

Expected results:
It works.

Additional info:

Here is Fedora 34 thread with known issues on Framework community.
https://community.frame.work/t/fedora-34-on-the-framework-laptop/2723

Comment 1 Peter Hutterer 2021-08-08 23:17:19 UTC
This should be fixed in 1.18.1 now, please see https://bodhi.fedoraproject.org/updates/FEDORA-2021-7aaeceff96

Comment 2 Jun Aruga 2021-08-09 18:56:19 UTC
Thanks! I see the new released version 1.18.1 has the 50-framework.quirks.
https://gitlab.freedesktop.org/libinput/libinput/-/blob/1.18.1/quirks/50-framework.quirks


Note You need to log in before you can comment on or make changes to this bug.